u-boot-imx 2017.05 for Mender support

cancel
Showing results for 
Search instead for 
Did you mean: 

u-boot-imx 2017.05 for Mender support

300 Views
Contributor I

I am trying to setup Mender updates on an i.MX8m platform but I am running into some trouble with u-boot. I get the error shown here: mender-docs/docs.md at master · mendersoftware/mender-docs · GitHub  and have been unable to make the steps in the manual u-boot-fw-utils guide work.

According to the issue, this is fixed in u-boot versions > 2017.05. Is there going to be a u-boot-imx update to move beyond 2017.03 soon or an update to u-boot-fslc that will work with the i.MX8m processors?

Thanks

0 Kudos
2 Replies

34 Views
NXP TechSupport
NXP TechSupport

Hi Kevin

for u-boot-fslc one can look at

GitHub - boundarydevices/u-boot-imx6 at boundary-imx_v2017.03_4.9.51_imx8m_ga 

Best regards
igor
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos

34 Views
Contributor I

Hi Igor,

That is still a 2017.03 version of u-boot which will likely have the same issues as the imx u-boot which is the same version.

It might be easier to cherry pick the I'm 8 related commits to a newer version though.

Thanks,

Kevin

0 Kudos